=== debian/changelog ===
xdotool (1:1.20100302.2708-1) unstable; urgency=low

  * New Upstream Release
  * removed all debian/patches (adopted by upstream).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Mar 2010 12:47:06 -0500

xdotool (1:1.20100227.2679-1~pre1) UNRELEASED; urgency=low

  * New Upstream Release
  * debian/patches: dropping fixing_bash_variable_assignment (unneeded)
  * SONAME bump: libxdo0 → libxdo1
  * added build-dep on xfonts-base to make sure tests can run.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 01 Mar 2010 09:32:47 -0500

xdotool (1:0.20100118.2605-1~pre1) UNRELEASED; urgency=low

  * New Upstream Release (new version numbering scheme)
  * added epoch number since upstream's versioning has changed.
  * bumped Standards-Version to 3.8.4 (no changes needed).
  * changed debian/watch to match new versioning scheme (and ignore older
    versions).
  * changed to packaging format 3.0 (quilt).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 01 Mar 2010 00:46:30 -0500

xdotool (20091231.03-1) unstable; urgency=low

  * New upstream release (introduces new shared libxdo).
  * broke out library packaging (Closes: #560176)
  * switched test suite to use openbox instead of gnome to be easier on
    the buildd's.
  * added build-deps for full test suite coverage.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Jan 2010 12:48:12 -0500

xdotool (20090815-3) unstable; urgency=low

  * added Build-Depends: x11-utils xterm (Closes: #560399)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Dec 2009 16:58:14 -0500

xdotool (20090815-2) unstable; urgency=low

  * added Build-Depends: xauth (Closes: #560273)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Dec 2009 11:50:56 -0500

xdotool (20090815-1) unstable; urgency=low

  * New upstream release
  * switched packaging to git-buildpackage
  * removed Dm-Upload-Allowed
  * bumped standards version
  * added xvfb to Build-Depends so that tests can be run

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 09 Dec 2009 13:37:58 -0500

xdotool (20090330-1) unstable; urgency=low

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 Mar 2009 12:34:58 -0400

xdotool (20090126-1) unstable; urgency=low

  * New upstream release
  * updated my e-mail address
  * now using debhelper override_dh_* targets
  * bumped policy to 3.8.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 Mar 2009 00:35:06 -0400

xdotool (20080720-1) unstable; urgency=low

  * New upstream release

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 20 Jul 2008 22:18:56 -0400

xdotool (20080716-1) unstable; urgency=low

  * New upstream release (Closes: #490824)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 18 Jul 2008 18:08:39 -0400

xdotool (20080606-1) unstable; urgency=low

  * New upstream release (Closes: #458375)

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Fri, 06 Jun 2008 10:25:10 -0400

xdotool (20080603-1) unstable; urgency=low

  * New upstream release
  * Now including upstream changelog.
  * Return non-zero value when encountering an unknown command.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 03 Jun 2008 09:59:19 -0400

xdotool (20071230-2) unstable; urgency=low

  * bumped to debhelper 7
  * minimized debian/rules

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Tue, 20 May 2008 10:46:35 -0400

xdotool (20071230-1) unstable; urgency=low

  * New Upstream Release (includes COPYRIGHT file)
  
 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sun, 30 Dec 2007 15:05:28 -0500

xdotool (20070903-1) unstable; urgency=low

  * Initial packaging attempt.

 -- Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>  Sat, 29 Dec 2007 12:33:38 -0500
