=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	XSERVER=Xvfb dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

override_dh_auto_install:
	make install PREFIX=debian/tmp/usr INSTALLMAN=debian/tmp/usr/share/man
