=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and
# more.  See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
http://code.google.com/p/semicomplete/downloads/list?q=label:xdotool .*xdotool-([0-9]+\.[0-9]{8}\.[0-9]+)\.tar\.gz
