=== debian/changelog ===
xdotool (1:2.20100602.2915-1) unstable; urgency=low

  * New Upstream Release
  * SONAME bump: libxdo1 → libxdo2
  
 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Jun 2010 10:23:20 -0400

xdotool (1:1.20100318.2737-1) unstable; urgency=low

  * New Upstream Release (Closes: #575257)
  * Included some settings for how I use git-buildpackage for xdotool

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Mar 2010 13:04:08 -0400

xdotool (1:1.20100312.2730-1~pre1) UNRELEASED; urgency=low

  * New Upstream Release
  * added ruby as build-dep for the new test suite.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Mar 2010 13:03:32 -0400
