=== debian/control ===
--- 
+++ 
@@ -14,7 +14,9 @@
  xterm,
  x11-utils,
  openbox | gnome-session,
- xfonts-base
+ xfonts-base,
+ lsof,
+ ruby
 Standards-Version: 3.8.4
 Homepage: http://www.semicomplete.com/blog/projects/xdotool/
 Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool
@@ -27,7 +29,7 @@
  input and mouse activity, move and resize windows, etc. It does this
  using X11's XTEST extension and other Xlib functions.
 
-Package: libxdo1
+Package: libxdo2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -39,7 +41,7 @@
 Package: libxdo-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo2 (= ${binary:Version})
 Description: library for simulating X11 keyboard/mouse input
  libxdo lets you programatically (or manually) simulate keyboard
  input and mouse activity, move and resize windows, etc. It does this
