=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 %:
 	dh $@
-
-override_dh_auto_test:
-	XSERVER=Xvfb dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELIST
