## xdotool 2.20100701.2961

=== Makefile ===
--- 
+++ 
@@ -122,8 +122,13 @@
 xdotool.1: xdotool.pod
 	pod2man -c "" -r "" xdotool.pod > $@
 
+.PHONY: showman
 showman: xdotool.1
 	nroff -man $< | $$PAGER
+
+.PHONY: docs
+docs: Doxyfile xdo.h
+	doxygen
 
 xdotool.html: xdotool.pod
 	pod2html $< > $@
@@ -150,7 +155,7 @@
 	@NAME=xdotool-$(VERSION); \
 	echo "Creating package: $$NAME"; \
 	mkdir $${NAME}; \
-	rsync --exclude .svn --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION 2> /dev/null` $${NAME}/; \
+	rsync --exclude .svn --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
 	tar -zcf $${NAME}.tar.gz $${NAME}/; \
 	rm -r $${NAME}
 	rm VERSION
@@ -161,7 +166,9 @@
 	@NAME=xdotool-$(VERSION) && \
 	echo "Testing package $$NAME" && \
 	tar -zxf $${NAME}.tar.gz && \
+	make -C $${NAME} docs && \
 	make -C $${NAME} test && \
 	echo "Package ready: $${NAME}"; \
 	rm -rf $${NAME}
 
+
