=== debian/changelog ===
xdotool (1:2.20100701.2961-3) unstable; urgency=low

  * remove build-dependency on lsof by using upstream's new
    t/ephemeral-x.sh (Closes: #590827)
  * disable tests using gnome-session, as they do not appear to even start
    up.
  * bumped Standards-Version to 3.9.1 (no changes needed).

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Sep 2010 15:26:15 -0400

xdotool (1:2.20100701.2961-2) unstable; urgency=low

  * avoid compressing .js files so that search functionality works in the
    documentation for libxdo-dev.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Jul 2010 17:25:34 -0400

xdotool (1:2.20100701.2961-1) unstable; urgency=low

  * New Upstream Release (Closes: #586768) 
   - added two new symbols for libxdo2
   - ship html documentation for libxdo-dev
  * added procps as a build-dep so ephemeral-x.sh can find pkill.
  * bumped Standards-Version to 3.9.0 (no changes needed).
  * moved license into debian/copyright to avoid referencing deprecated
    common-licenses/BSD.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 01 Jul 2010 12:45:52 -0400
