=== debian/control ===
--- 
+++ 
@@ -13,11 +13,12 @@
  xauth,
  xterm,
  x11-utils,
- openbox | gnome-session,
+ openbox,
  xfonts-base,
- lsof,
- ruby
-Standards-Version: 3.8.4
+ procps,
+ ruby,
+ doxygen
+Standards-Version: 3.9.1
 Homepage: http://www.semicomplete.com/blog/projects/xdotool/
 Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool
