=== debian/changelog ===
xdotool (2.20101012.3049-1) unstable; urgency=low

  * Initial release

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Mon, 25 Apr 2011 19:30:52 +0200
