## xdotool 2.20101012.3049-3

=== debian/changelog ===
xdotool (2.20101012.3049-3) unstable; urgency=low

  * Fixed bug with deb file

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Mon, 25 Apr 2011 19:30:52 +0200
