=== debian/control ===
Source: xdotool
Section: libs
Priority: extra
Maintainer: Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxtst-dev, libxext-dev, libxi-dev
Standards-Version: 3.7.2

Package: xdotool
Architecture: any
Depends: libx11
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
Description: Command line program simulating user input
 Command line program simulating user input
