=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into opt/xdotool.
-	$(MAKE) DESTDIR=/ install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/xdotool install
 
 
 # Build architecture-independent files here.
