## xdotool 2.20101012.3049-4

=== debian/changelog ===
xdotool (2.20101012.3049-4) unstable; urgency=low

  * Fixed bug with dependencies

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Fri, 6 May 2011 00:30:03 +0200
