=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: xdotool
 Architecture: any
-Depends: libx11
+Depends: ${shlibs:Depends}, ${misc:Depends}
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2147
 Description: Command line program simulating user input
  Command line program simulating user input
