=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into opt/xdotool.
+	# Add here commands to install the package into debian/xdotool.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/xdotool install
