## xdotool 2.20101012.3049-5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR?=
-PREFIX?=/usr/local
+PREFIX?=/opt/xdotool
 INSTALLBIN?=$(PREFIX)/bin
 INSTALLLIB?=$(PREFIX)/lib
 INSTALLMAN?=$(PREFIX)/man
@@ -58,12 +58,13 @@
 install-static: xdotool.static
 	install -d $(DINSTALLBIN)
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
+	ln -sf $(DINSTALLBIN)/xdotool /usr/bin/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
 	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
 
 .PHONY: install
-install: pre-install installlib installprog installman installheader post-install
+install: pre-install installlib installprog post-install
 
 .PHONY: pre-install
 pre-install:
