=== debian/changelog ===
xdotool (2.20101012.3049-5) unstable; urgency=low

  * Saving rootfs space

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Fri, 6 May 2011 00:44:24 +0200
