## xdotool 2.20101012.3049-6

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 install-static: xdotool.static
 	install -d $(DINSTALLBIN)
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
-	ln -sf $(DINSTALLBIN)/xdotool /usr/bin/xdotool
+	ln -fs /opt/xdotool/bin/xdotool $(DESTDIR)/usr/bin/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
 	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
