=== debian/changelog ===
xdotool (2.20101012.3049-6) unstable; urgency=low

  * Creating symlinks after install

 -- Bartosz Miskiewicz <miskiewicz.bartosz@gmail.com>  Sat, 7 May 2011 03:06:31 +0200
