## xdotool 2.20110530.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 DESTDIR?=
-PREFIX?=/opt/xdotool
+PREFIX?=/usr/local
 INSTALLBIN?=$(PREFIX)/bin
 INSTALLLIB?=$(PREFIX)/lib
 INSTALLMAN?=$(PREFIX)/man
@@ -26,12 +26,13 @@
 LIBS=$(shell sh platform.sh extralibs)
  
 CFLAGS?=-pipe -O2 $(WARNFLAGS)
-
-DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst
+CFLAGS+=-g # TODO(sissel): Comment before release
+
+DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
-LIBS+=$(shell pkg-config --libs x11 xtst 2> /dev/null || echo "$(DEFAULT_LIBS)")
-INC=$(shell pkg-config --cflags x11 xtst 2> /dev/null || echo "$(DEFAULT_INC)")
+LIBS+=$(shell pkg-config --libs x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_LIBS)")
+INC=$(shell pkg-config --cflags x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_INC)")
 CFLAGS+=-std=c99 $(INC)
 
 CMDOBJS= cmd_click.o cmd_mousemove.o cmd_mousemove_relative.o cmd_mousedown.o \
@@ -46,7 +47,8 @@
          cmd_get_desktop_viewport.o cmd_set_desktop_viewport.o \
          cmd_windowkill.o cmd_behave.o cmd_window_select.o \
          cmd_getwindowname.o cmd_behave_screen_edge.o \
-         cmd_windowminimize.o cmd_exec.o
+         cmd_windowminimize.o cmd_exec.o cmd_getwindowgeometry.o \
+         cmd_sleep.o cmd_get_display_geometry.o
 
 .PHONY: all
 all: xdotool.1 libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) xdotool
@@ -58,13 +60,12 @@
 install-static: xdotool.static
 	install -d $(DINSTALLBIN)
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
-	ln -fs /opt/xdotool/bin/xdotool $(DESTDIR)/usr/bin/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
 	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
 
 .PHONY: install
-install: pre-install installlib installprog post-install
+install: pre-install installlib installprog installman installheader post-install
 
 .PHONY: pre-install
 pre-install:
@@ -113,7 +114,7 @@
 .PHONY: clean
 clean:
 	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html \
-	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) || true
+	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) libxdo.a || true
 
 xdo.o: xdo.c xdo_version.h
 	$(CC) $(CFLAGS) -fPIC -c xdo.c
@@ -130,6 +131,9 @@
 
 libxdo.$(LIBSUFFIX): xdo.o xdo_search.o
 	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBS)
+
+libxdo.a: xdo.o xdo_search.o
+	ar qv $@ xdo.o xdo_search.o
 
 libxdo.$(VERLIBSUFFIX): libxdo.$(LIBSUFFIX)
 	ln -s $< $@
@@ -155,7 +159,10 @@
 	pod2html $< > $@
 
 .PHONY: package
-package: test-package-build create-package
+package: test-package-build create-package create-package-deb
+
+.PHONY: package-deb
+package-deb: test-package-build create-package-deb
 
 .PHONY: test
 test: xdotool libxdo.$(VERLIBSUFFIX)
@@ -176,7 +183,7 @@
 	@NAME=xdotool-$(VERSION); \
 	echo "Creating package: $$NAME"; \
 	mkdir $${NAME}; \
-	rsync --exclude .svn --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
+	rsync --exclude '.*' -a `ls -d *.pod COPYRIGHT *.c *.h examples t CHANGELIST README Makefile* version.sh platform.sh VERSION Doxyfile 2> /dev/null` $${NAME}/; \
 	tar -zcf $${NAME}.tar.gz $${NAME}/; \
 	rm -r $${NAME}
 	rm VERSION
@@ -193,3 +200,60 @@
 	rm -rf $${NAME}
 
 
+### Build .deb packages for xdotool. The target 'create-package-deb' will
+# create {xdotool,xdotool-doc,libxdo$(MAJOR),libxdo$(MAJOR)-dev}*.deb packages
+# The reason I do this is to avoid any madness involved in dealing with
+# debuild, dh_make, and related tools. '.deb' packages are an 'ar' with two
+# tarballs.
+
+DEBDIR=deb-build
+create-package-deb: pre-create-package VERSION xdo_version.h
+	[ -d $(DEBDIR) ] && rm -r $(DEBDIR) || true
+	$(MAKE) xdotool.deb xdotool-doc.deb libxdo$(MAJOR).deb libxdo$(MAJOR)-dev.deb
+
+%.deb: $(DEBDIR)/usr
+	$(MAKE) $(DEBDIR)/$*/data.tar.gz $(DEBDIR)/$*/control.tar.gz \
+	        $(DEBDIR)/$*/debian-binary
+	wd=$$PWD; \
+	cd $(DEBDIR)/$*; \
+	  ar -qc $$wd/$*_$(VERSION)-1_$(shell uname -m).deb \
+	    debian-binary data.tar.gz control.tar.gz
+
+$(DEBDIR)/usr:
+	$(MAKE) install DESTDIR=$(DEBDIR) PREFIX=/usr INSTALLMAN=/usr/share/man
+
+$(DEBDIR)/xdotool $(DEBDIR)/xdotool-doc $(DEBDIR)/libxdo$(MAJOR) $(DEBDIR)/libxdo$(MAJOR)-dev:
+	mkdir -p $@
+
+$(DEBDIR)/%/debian-binary:
+	echo "2.0" > $@
+
+# Generate the 'control' file
+$(DEBDIR)/%/control: $(DEBDIR)/%/
+	sed -e 's/%VERSION%/$(VERSION)/g; s/%MAJOR%/$(MAJOR)/' \
+		ext/debian/$(shell echo $* | tr -d 0-9).control > $@
+
+# Generate the 'md5sums' file 
+$(DEBDIR)/%/md5sums: $(DEBDIR)/%/ $(DEBDIR)/%/data.tar.gz 
+	tar -ztf $(DEBDIR)/$*/data.tar.gz | (cd $(DEBDIR); xargs md5sum || true) > $@
+
+# Generate the 'control.tar.gz'
+$(DEBDIR)/%/control.tar.gz: $(DEBDIR)/%/control $(DEBDIR)/%/md5sums
+	tar -C $(DEBDIR)/$* -zcf $(DEBDIR)/$*/control.tar.gz control md5sums 
+
+# Build a tarball for xdotool files
+$(DEBDIR)/xdotool/data.tar.gz: $(DEBDIR)/xdotool/
+	tar -C $(DEBDIR) -zcf $@ usr/bin
+
+# Build a tarball for libxdo# files
+$(DEBDIR)/libxdo$(MAJOR)/data.tar.gz: $(DEBDIR)/libxdo$(MAJOR)/
+	tar -C $(DEBDIR) -zcf $@ usr/lib
+
+# Build a tarball for libxdo#-dev files
+$(DEBDIR)/libxdo$(MAJOR)-dev/data.tar.gz: $(DEBDIR)/libxdo$(MAJOR)-dev/
+	tar -C $(DEBDIR) -zcf $@ usr/include
+
+# Build a tarball for xdotool-doc files
+$(DEBDIR)/xdotool-doc/data.tar.gz: $(DEBDIR)/xdotool-doc/
+	tar -C $(DEBDIR) -zcf $@ usr/share
+
