=== t/Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	make -C ../; \
 	sh check-for-tools.sh || exit 0; \
 	for i in test_*.rb ; do \
+	  echo "Running $$i"; \
 	  sh ephemeral-x.sh -q -x "$$XSERVER" -w "$$WM" ./run.sh ruby $(RUBYFLAGS) $$i $(TESTFLAGS); \
 	done
