=== debian/changelog ===
xdotool (1:2.20110530.1-6) unstable; urgency=low

  * remove de and se symbol typing tests, since i can't seem to get
    upstream to debug them.  This is a move of despair :(

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 14 Nov 2012 15:42:02 -0500

xdotool (1:2.20110530.1-5) unstable; urgency=low

  * building against ruby 1.8 to try to deal with the buildd failures.
    (drops patch for #680284, since it is unneeded by ruby 1.8)
  * debian/control: bumped Standards-Version to 3.9.3 (no changes needed)
  * switch to dh compatibility level 9 for hardening

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Aug 2012 03:13:15 -0400

xdotool (1:2.20110530.1-4) unstable; urgency=low

  * link properly on GNU/Hurd as well
  * use require_relative in the test suite (Closes: #680824) Thanks,
    Salvatore Bonaccorso!
  * avoid symbol typing tests that switch locales (Closes: #642404)
  * use patch from upstream to avoid C++ keyword (Closes: #663007)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 Jun 2011 11:30:52 -0400

xdotool (1:2.20110530.1-3) unstable; urgency=low

  * drop isatty() check in script_main() so xdotool can run even when it
    is not a tty.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 14 Jun 2011 15:44:34 -0400

xdotool (1:2.20110530.1-2) unstable; urgency=low

  * forgot to close upstream release bug (Closes: #618897)
  * using SHELL=/bin/bash for "make test"
  * patch platform.sh to use standard libc options for GNU/kFreeBSD
    (Closes: #629598)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 10 Jun 2011 01:17:33 -0400

xdotool (1:2.20110530.1-1) unstable; urgency=low

  * New Upstream release
  * removed debian/patches/fix-pod-errors.patch -- adopted upstream.
  * debian/control: bumped Standards-Version to 3.9.2 (no changes needed).
  * debian/rules: doxygen seems to want to place an unnecessary copy of
    jquery.js into docs/html/ -- force removal of it.
  * add libxinerama-dev to the build-deps

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 31 May 2011 10:48:09 -0400

xdotool (1:2.20101012.3049-1) unstable; urgency=low

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Oct 2010 04:37:39 -0400

xdotool (1:2.20100818.3004-1) experimental; urgency=low

  * New upstream release
   - dropped remove-build-dep-on-lsof.patch, no longer needed.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 12 Oct 2010 04:36:59 -0400
