=== debian/control ===
Source: xdotool
Section: x11
Priority: extra
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 9), 
 pkg-config,
 libx11-dev,
 libxtst-dev,
 libxinerama-dev,
 perl,
 xvfb,
 xkb-data,
 x11-xkb-utils,
 xauth,
 xterm,
 x11-utils,
 openbox,
 xfonts-base,
 procps,
 ruby1.8,
 doxygen
Build-Conflicts: ruby1.9.1
Standards-Version: 3.9.3
Homepage: http://www.semicomplete.com/blog/projects/xdotool/
Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool

Package: xdotool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simulate X11 keyboard/mouse input
 xdotool lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.

Package: libxdo-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo2 (= ${binary:Version})
Description: library for simulating X11 keyboard/mouse input
 libxdo lets you programatically (or manually) simulate keyboard
 input and mouse activity, move and resize windows, etc. It does this
 using X11's XTEST extension and other Xlib functions.
 .
 This package contains developer tools (headers, libraries) for libxdo.
