=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make docs
	rm -f docs/html/jquery.js

override_dh_installchangelogs:
	dh_installchangelogs CHANGELIST

override_dh_auto_install:
	make install PREFIX=debian/tmp/usr INSTALLMAN=debian/tmp/usr/share/man

override_dh_clean:
	dh_clean
	rm -rf docs/

override_dh_compress:
	dh_compress -X.js

override_dh_auto_test:
	SHELL=/bin/bash dh_auto_test
