## xdotool 3.20130111.1

=== Makefile ===
--- 
+++ 
@@ -23,15 +23,16 @@
 VERLIBSUFFIX=$(shell sh platform.sh libsuffix $(MAJOR))
 DYNLIBFLAG=$(shell sh platform.sh dynlibflag)
 LIBNAMEFLAG=$(shell sh platform.sh libnameflag $(MAJOR) $(INSTALLLIB))
-LIBS=$(shell sh platform.sh extralibs)
- 
+
 CFLAGS?=-pipe -O2 $(WARNFLAGS)
 CFLAGS+=-g # TODO(sissel): Comment before release
+CFLAGS+=$(CPPFLAGS)
 
 DEFAULT_LIBS=-L/usr/X11R6/lib -L/usr/local/lib -lX11 -lXtst -lXinerama
 DEFAULT_INC=-I/usr/X11R6/include -I/usr/local/include
 
-LIBS+=$(shell pkg-config --libs x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_LIBS)")
+XDOTOOL_LIBS=$(shell pkg-config --libs x11 2> /dev/null || echo "$(DEFAULT_LIBS)")  $(shell sh platform.sh extralibs)
+LIBXDO_LIBS=$(shell pkg-config --libs xtst xinerama 2> /dev/null || echo "$(DEFAULT_LIBS)")
 INC=$(shell pkg-config --cflags x11 xtst xinerama 2> /dev/null || echo "$(DEFAULT_INC)")
 CFLAGS+=-std=c99 $(INC)
 
@@ -62,7 +63,7 @@
 	install -m 755 xdotool.static $(DINSTALLBIN)/xdotool
 
 xdotool.static: xdotool.o $(CMDOBJS) xdo.o xdo_search.o
-	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(LIBS)
+	$(CC) -o xdotool.static xdotool.o xdo.o xdo_search.o $(CMDOBJS) $(LDFLAGS)  -lm $(XDOTOOL_LIBS) $(LIBXDO_LIBS)
 
 .PHONY: install
 install: pre-install installlib installprog installman installheader post-install
@@ -113,7 +114,7 @@
 
 .PHONY: clean
 clean:
-	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html \
+	rm -f *.o xdotool xdotool.static xdotool.1 xdotool.html xdo_version.h \
 	      libxdo.$(LIBSUFFIX) libxdo.$(VERLIBSUFFIX) libxdo.a || true
 
 xdo.o: xdo.c xdo_version.h
@@ -130,7 +131,7 @@
 xdotool.c: xdo.h
 
 libxdo.$(LIBSUFFIX): xdo.o xdo_search.o
-	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBS)
+	$(CC) $(LDFLAGS) $(DYNLIBFLAG) $(LIBNAMEFLAG) xdo.o xdo_search.o -o $@ $(LIBXDO_LIBS)
 
 libxdo.a: xdo.o xdo_search.o
 	ar qv $@ xdo.o xdo_search.o
@@ -141,8 +142,13 @@
 # xdotool the binary requires libX11 now for XSelectInput and friends.
 # This requirement will go away once more things are refactored into
 # libxdo.
+# TODO(sissel): only do this linker hack if we're using GCC?
+xdotool: LDFLAGS+=-Xlinker
+ifneq ($(WITHOUT_RPATH_FIX),1)
+xdotool: LDFLAGS+=-rpath=$(INSTALLLIB)
+endif
 xdotool: xdotool.o $(CMDOBJS) libxdo.$(LIBSUFFIX)
-	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm $(LIBS)
+	$(CC) -o $@ xdotool.o $(CMDOBJS) -L. -lxdo $(LDFLAGS)  -lm $(XDOTOOL_LIBS)
 
 xdotool.1: xdotool.pod
 	pod2man -c "" -r "" xdotool.pod > $@
@@ -165,8 +171,16 @@
 package-deb: test-package-build create-package-deb
 
 .PHONY: test
+test: WITH_SHELL=/bin/bash
 test: xdotool libxdo.$(VERLIBSUFFIX)
-	$(MAKE) -C t
+	echo $(WITH_SHELL)
+	if [ "$(WITH_SHELL)" = "/bin/sh" ] ; then \
+		echo "Shell '$(WITH_SHELL)' fails on some Linux distros because it could"; \
+		echo "be 'dash', a poorly implemented shell with bugs that break the"; \
+		echo "tests. You need to use bash, zsh, or ksh to run the tests."; \
+		exit 1; \
+	fi
+	SHELL=$(WITH_SHELL) $(MAKE) -C t
 
 xdo_version.h:
 	sh version.sh --header > $@
