=== debian/changelog ===
xdotool (1:3.20130111.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use any available Ruby interpreter to run the tests.
    (Closes: #723648)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 02:13:46 +0100

xdotool (1:3.20130111.1-3) unstable; urgency=low

  * libxdo-dev now Depends: libx11-dev
  * upload to unstable
  * fail cleanly instead of segfaulting on libxdo initialization failure
    in xdotool (as-yet-unreleased patch from upstream)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 05 May 2013 13:22:28 -0400

xdotool (1:3.20130111.1-2) experimental; urgency=low

  * added libxdo3-dbg package for debug symbols for libxdo.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Jan 2013 03:25:43 -0500

xdotool (1:3.20130111.1-1) experimental; urgency=low

  * new upstream release (includes API change and SONAME bump from 2 to 3)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Jan 2013 21:35:25 -0500
