=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: x11
 Priority: extra
 Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Build-Depends: debhelper (>= 9), 
+Build-Depends:
+ debhelper (>= 9), 
  pkg-config,
  libx11-dev,
  libxtst-dev,
@@ -17,10 +18,10 @@
  openbox,
  xfonts-base,
  procps,
- ruby1.8,
+ ruby,
+ ruby-test-unit,
  doxygen
-Build-Conflicts: ruby1.9.1
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.semicomplete.com/blog/projects/xdotool/
 Vcs-Git: git://lair.fifthhorseman.net/~dkg/xdotool
 
@@ -32,7 +33,7 @@
  input and mouse activity, move and resize windows, etc. It does this
  using X11's XTEST extension and other Xlib functions.
 
-Package: libxdo2
+Package: libxdo3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -44,10 +45,28 @@
 Package: libxdo-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxdo2 (= ${binary:Version})
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libxdo3 (= ${binary:Version}),
+ libx11-dev
 Description: library for simulating X11 keyboard/mouse input
  libxdo lets you programatically (or manually) simulate keyboard
  input and mouse activity, move and resize windows, etc. It does this
  using X11's XTEST extension and other Xlib functions.
  .
  This package contains developer tools (headers, libraries) for libxdo.
+
+Package: libxdo3-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+ libxdo3 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for libxdo3
+ libxdo lets you programatically (or manually) simulate keyboard
+ input and mouse activity, move and resize windows, etc. It does this
+ using X11's XTEST extension and other Xlib functions.
+ .
+ This package contains the debugging symbols for libxdo3
