=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and
# more.  See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# busted since around 2010-04 or so, due to silliness from googlecode:
#http://code.google.com/p/semicomplete/downloads/list?q=label:xdotool .*xdotool-([0-9]+\.[0-9]{8}\.[0-9]+)\.tar\.gz

# thanks to David Paleino for the hosted workaround:
http://googlecode.debian.net/p/semicomplete/xdotool-(\d+\.\d{8}\.\d*).tar.gz
